<template>
	<div class="flex-col md:rounded-lg lg:rounded bg-white px-4 md:px-6 lg:px-10 py-6 lg:py-10 mb-2">
		<div class="flex justify-between items-center">
			<div class="flex items-center">
				<MkSuccessIcon :aria-label="title == 'Shipping' ? 'Shipping info' : 'Recipient’s info'" />
				<h2 class="font-secondary-font-regular text-xl md:text-2xl leading-6 md:leading-7 lg:leading-8 pl-4 lg:pl-6">
					<span v-if="title == 'Shipping'">Shipping</span>
					<span v-else>{{ title }}</span>
				</h2>
			</div>
			<div>
				<a
					ref="shipping_address_edit_button"
					tabindex="0"
					href="javascript:;"
					role="button"
					:aria-label="title == 'Shipping' ? `Edit shipping info` : `Edit recipient’s info`"
					class="font-primary-font-bold focus:outline-none focus:ring-1 focus:ring-black text-base leading-6 mk-link"
					@click="$emit('edit-shipping')"
					>Edit</a
				>
			</div>
		</div>
		<p
			v-if="value.recipientsEmail"
			class="lg:block font-primary-font-light text-base leading-6 pt-6 pl-12 md:pl-14 lg:pl-17"
		>
			{{ value.recipientsEmail }}
		</p>
		<p
			v-if="value.recipientsEmail"
			class="lg:block font-primary-font-light break-all text-base leading-6 pt-6 pl-12 md:pl-14 lg:pl-17"
		>
			{{ value.giftMessage }}
		</p>
		<p
			v-if="value.recipientsEmail"
			class="lg:block font-primary-font-light text-base leading-6 pt-6 pl-12 md:pl-14 lg:pl-17"
		>
			Your friend, {{ CUSTOMER_PROFILE.firstName }}
		</p>
		<div
			v-if="CART_ADDRESS"
			class="font-primary-font-light text-base leading-6 pl-12 md:pl-14 lg:pl-17 pt-7 md:pt-6 lg:pt-4"
		>
			<p>
				{{ CART_ADDRESS.firstName + ' ' + CART_ADDRESS.lastName }}
			</p>
			<p>
				{{ (CART_ADDRESS.streetAddress1 || CART_ADDRESS.streetName) + ' ' }}
				{{
					CART_ADDRESS.streetAddress2 || CART_ADDRESS.streetNumber
						? CART_ADDRESS.streetAddress2 || CART_ADDRESS.streetNumber
						: ''
				}}
			</p>
			<p>
				{{ CART_ADDRESS.city }}<span v-if="CART_ADDRESS.state">,{{ CART_ADDRESS.state }},</span>
				{{ CART_ADDRESS.postalCode }}
				<span v-if="CART_ADDRESS.country">,{{ CART_ADDRESS.country }}</span>
			</p>
			<p>{{ CART_ADDRESS.phoneNumber || CART_ADDRESS.phone | phone }}</p>
		</div>
	</div>
</template>

<script>
import { mapState } from 'vuex';
import MkSuccessIcon from '~/components/D2C/atoms/MkSuccessIcon.vue';
export default {
	name: 'MkShippingInfo',
	components: {
		MkSuccessIcon,
	},
	props: {
		stepTitle: {
			type: String,
			default: 'Shipping',
		},
		value: {
			type: Object,
			default: () => {},
		},
		lastEdit: {
			type: String,
			default: 'Info',
		},
	},
	data() {
		return {
			title: 'Shipping',
		};
	},
	computed: {
		CUSTOMER_PROFILE() {
			return this.$store.state.USER_STORE.CUSTOMER_PROFILE;
		},
		...mapState('CART_STORE', ['GIFT', 'CART']),
		CART_ADDRESS() {
			return this.CART?.shippingAddress;
		},
	},
	mounted() {
		if (this.GIFT) {
			this.title = 'Recipient’s info';
		} else {
			this.title = 'Shipping';
		}
		if (this.lastEdit === 'Info' || this.lastEdit === 'address') {
			this.$root.$utility.elementFocus(this, 'shipping_address_edit_button');
		}
	},
};
</script>
